Package kiyut.sketsa.options

## Class MRUFilesOptions

- java.lang.Object
- - kiyut.sketsa.options.AbstractOptions
  - - kiyut.sketsa.options.MRUFilesOptions

- All Implemented Interfaces:
    `Options`

      public class MRUFilesOptions
      extends AbstractOptions

  MRUFiles settings for Netbeans Platform Settings. It keep the most recently used files up to 9
  Author:
    Kiyut

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `MRU_FILE_LIST_PROPERTY` |

    - ### Fields inherited from class kiyut.sketsa.options.AbstractOptions

      `DEFAULT_NODE_NAME, nodeName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MRUFilesOptions()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFile​(String absolutePath)` |
    `static MRUFilesOptions` | `getInstance()` | Returns the single instance, creating one if it's the first time this method is called.
    `List<String>` | `getMRUFileList()` |
    `protected void` | `retrieve()` |
    `void` | `setMRUFileList​(List<String> list)` |
    `protected void` | `store()` |

    - ### Methods inherited from class kiyut.sketsa.options.AbstractOptions

      `addPropertyChangeListener, firePropertyChange, getPreferences, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MRU_FILE_LIST_PROPERTY

          public static final String MRU_FILE_LIST_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MRUFilesOptions

          protected MRUFilesOptions()

  - ### Method Detail

    - #### getInstance

          public static MRUFilesOptions getInstance()

      Returns the single instance, creating one if it's the first time this method is called.
      Returns:
        The single instance.

    - #### getMRUFileList

          public List<String> getMRUFileList()

    - #### setMRUFileList

          public void setMRUFileList​(List<String> list)

    - #### addFile

          public void addFile​(String absolutePath)

    - #### store

          protected void store()

    - #### retrieve

          protected void retrieve()